import MoleculeProgressSteps, { MoleculeProgressStep, STATUSES } from '@s-ui/react-molecule-progress-steps';
import { BASE_CLASS } from './../config.js';
import useI18n from './../hooks/useI18n.js';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";
var StageInfo = function StageInfo() {
  var i18n = useI18n();
  return /*#__PURE__*/_jsxs("div", {
    className: BASE_CLASS + "-stageInfo",
    children: [/*#__PURE__*/_jsx("div", {
      className: BASE_CLASS + "-stageInfoProgress",
      children: /*#__PURE__*/_jsxs(MoleculeProgressSteps, {
        compressed: true,
        children: [/*#__PURE__*/_jsx(MoleculeProgressStep, {
          label: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.LABEL'),
          status: STATUSES.ACTIVE
        }), /*#__PURE__*/_jsx(MoleculeProgressStep, {})]
      })
    }), /*#__PURE__*/_jsx("h1", {
      className: BASE_CLASS + "-stageInfoTitle",
      children: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.TITLE')
    }), /*#__PURE__*/_jsx("p", {
      className: BASE_CLASS + "-stageInfoMessage",
      children: i18n.t('LOGIN_CROSS.PASSWORD_RESET.STEP_1.MESSAGE')
    })]
  });
};
StageInfo.displayName = 'StageInfo';
export default StageInfo;